## org.openqa.selenium.server.browserlaunchers
Class Firefox3Launcher

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
          org.openqa.selenium.server.browserlaunchers.FirefoxChromeLauncher
              org.openqa.selenium.server.browserlaunchers.Firefox3Launcher

All Implemented Interfaces:
  BrowserLauncher

    public class Firefox3Launcher

extends FirefoxChromeLauncher

Nested Class Summary

Nested classes/interfaces inherited from class org.openqa.selenium.server.browserlaunchers.FirefoxChromeLauncher
`FirefoxChromeLauncher.ChromeUrlConvert, FirefoxChromeLauncher.FileLockRemainedException`

Field Summary

Fields inherited from class org.openqa.selenium.server.browserlaunchers.FirefoxChromeLauncher
`CHROME_URL`

Fields inherited from class org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
`browserConfigurationOptions, sessionId`

Constructor Summary
`Firefox3Launcher(BrowserConfigurationOptions browserOptions, RemoteControlConfiguration configuration, java.lang.String sessionId, java.lang.String browserLaunchLocation)`

Method Summary

Methods inherited from class org.openqa.selenium.server.browserlaunchers.FirefoxChromeLauncher
`close, copyCert8db, copyDirectory, copySingleFileWithOverwrite, createCustomProfileDir, extractProfileFromJar, generatePacAndPrefJs, getFileFromParent, getProcess, initProfileTemplate, killFirefoxProcess, launch, launchHTMLSuite, launchRemoteSession, removeCustomProfileDir, setCustomProfileDir, setProcess`

Methods inherited from class org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
`getConfiguration, getPort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Firefox3Launcher

    public Firefox3Launcher(BrowserConfigurationOptions browserOptions,
                            RemoteControlConfiguration configuration,
                            java.lang.String sessionId,
                            java.lang.String browserLaunchLocation)

Copyright © 2009. All Rights Reserved.